
/*
    (C) Gustav Hartvigsson, 2013.
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation, either version 3 of the
    License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/** @file */

#ifndef __H_SIMPLE_TYPE_SYSTEM__
#define __H_SIMPLE_TYPE_SYSTEM__

#define SIMPLE_TYPE_SYSTEM_VERSION_MAJOR 0
#define SIMPLE_TYPE_SYSTEM_VERSION_MINOR 0
#define SIMPLE_TYPE_SYSTEM_VERSION_PATCH 1


#include "baseobject.h"
#include "Error.h"
#include "Func.h"

/**
 * Returns a string representing the current version.
 */
char * s_get_version_string ();

/**
 * Returns the Major version as on int.
 */
int s_get_version_major ();

/**
 * Returns the Minor version as on int.
 */
int s_get_version_minor ();

/**
 * Returns the Patch version as on int.
 */
int s_get_version_patch ();

char * s_string_new (const char * s);
char * s_string_new_with_lenghth (const char * s, size_t len);

#endif
